#include "../2610904501/library.lua"
--#include "../Earthquake/library.lua"

function init()
    version = "0.6"
    date = "Sep 29 2021"

    if GetString("savegame.mod.version") == "" then

        SetBool("savegame.mod.autoearthquake", true)
        SetBool("savegame.mod.shake", true)
        SetBool("savegame.mod.fixstrength", false)
        SetBool("savegame.mod.randomeq", true)

        SetFloat("savegame.mod.prob", 10)
        SetInt("savegame.mod.min", 30)
        SetInt("savegame.mod.max", 60)
        SetInt("savegame.mod.range", 30)
        SetInt("savegame.mod.lasttime", 5)
        SetFloat("savegame.mod.strength", 5)

        SetString("savegame.mod.version", "0.6")
    else
        --ClearKey("savegame.mod")
    end
end
        

function draw()
    UiAlign("center middle")
    UiTranslate(UiWidth()/2, 60)
    UiPush()
        UiFont("bold.ttf", 90)
        UiColor(0, 1, 1)
        UiText("Earthquake Options")
        UiTranslate(500, 40)
        UiFont("regular.ttf", 20)
        UiColor(0.3, 0.3, 0.3)
        UiText("Version: "..version.."; Update on "..date)
    UiPop()
    UiTranslate(0, 100)
    --[[UiPush()
        UiFont("bold.ttf", 50)
        UiColor(1, 1, 1)
        UiText("Earthquake Mode")
        UiTranslate(0, 60)
        local press, autoEQ = DrawDynamicTextButtons(GetBool("savegame.mod.autoearthquake"), "Manual", "Auto", 200, 45, "regular.ttf", 40, 0, 1, 0)
        if press then SetBool("savegame.mod.autoearthquake", autoEQ) end
    UiPop()]]
    UiTranslate(0, 130)
    UiPush()
        UiFont("bold.ttf", 50)
        UiColor(1, 1, 1)
        UiText("Strength")
        UiTranslate(0, 60)
        press1, fixed = DrawDynamicTextButtons(GetBool("savegame.mod.fixstrength"), "Random Strength", "Fixed Strength", 300, 40, "regular.ttf", 35, 1, 1, 1)
        if press1 then SetBool("savegame.mod.fixstrength", fixed) end

        if GetBool("savegame.mod.fixstrength") then
            UiPush()
                UiTranslate(-200, 60)
                UiPush()
                    newStrength, done = DrawSlider(GetInt("savegame.mod.strength")*10, 100, 0.2, 0.2, 0.2, 1, 1, 1)
                    SetInt("savegame.mod.strength", newStrength/10)
                UiPop()
                UiTranslate(150, 10)
                UiAlign("left")
                DrawValueText(GetInt("savegame.mod.strength"), "(Relative Strength)", "regular.ttf", 35, 1, 1, 1)
            UiPop()

            UiTranslate(0, 200)
        else
            UiTranslate(0, 120)
        end
        
        UiFont("bold.ttf", 50)
        UiColor(1, 1, 1)
        UiText("Probability")
        UiTranslate(0, 60)
        press2, randomHappen = DrawDynamicTextButtons(GetBool("savegame.mod.randomeq"), "Inevitable", "Random", 300, 40, "regular.ttf", 35, 1, 1, 1)
        if press2 then SetBool("savegame.mod.randomeq", randomHappen) end

        if GetBool("savegame.mod.randomeq") then
            UiPush()
                UiTranslate(-200, 60)
                UiPush()
                    newProb, done0 = DrawSlider(GetInt("savegame.mod.prob"), 100, 0.2, 0.2, 0.2, 1, 1, 1)
                    SetInt("savegame.mod.prob", newProb)
                UiPop()
                UiTranslate(150, 10)
                UiAlign("left")
                DrawValueText(GetInt("savegame.mod.prob")/100, "(Relative Probability)", "regular.ttf", 35, 1, 1, 1)
            UiPop()

            UiTranslate(0, 360)
        else
            UiTranslate(0, 100)
        end

        UiFont("bold.ttf", 50)
        UiColor(1, 1, 1)
        UiText("Time")
        UiTranslate(0, 60)
        UiFont("bold.ttf", 30)
        UiPush()
            UiPush()
                UiTranslate(-250, 0)
                UiText("Min Delay Time")
                UiTranslate(-166, 30)
                min, done1 = DrawSlider(GetInt("savegame.mod.min"), 300, 0.2, 0.2, 0.2, 1, 1, 1)
                SetInt("savegame.mod.min", min)
                UiTranslate(80, 40)
                DrawValueText(GetInt("savegame.mod.min"), "Seconds", "regular.ttf", 28, 1, 1, 1)
            UiPop()
            UiPush()
                UiTranslate(250, 0)
                UiText("Delay Range")
                UiTranslate(-166, 30)
                max, done2 = DrawSlider(GetInt("savegame.mod.range"), 300, 0.2, 0.2, 0.2, 1, 1, 1)
                SetInt("savegame.mod.max", max+GetInt("savegame.mod.min"))
                SetInt("savegame.mod.range", max)
                UiTranslate(80, 40)
                DrawValueText(GetInt("savegame.mod.range"), "Seconds", "regular.ttf", 28, 1, 1, 1)
            UiPop()
        UiPop()
    UiPop()
end